<?php
/**
 * Active Callbacks
 *
 * @package aster_startup
 */

// Theme Options.
function aster_startup_is_pagination_enabled( $aster_startup_control ) {
	return ( $aster_startup_control->manager->get_setting( 'aster_startup_enable_pagination' )->value() );
}
function aster_startup_is_breadcrumb_enabled( $aster_startup_control ) {
	return ( $aster_startup_control->manager->get_setting( 'aster_startup_enable_breadcrumb' )->value() );
}
function aster_startup_is_layout_enabled( $aster_startup_control ) {
	return ( $aster_startup_control->manager->get_setting( 'aster_startup_website_layout' )->value() );
}
function aster_startup_is_pagetitle_bcakground_image_enabled( $aster_startup_control ) {
	return ( $aster_startup_control->manager->get_setting( 'aster_startup_page_header_style' )->value() );
}
function aster_startup_is_preloader_style( $aster_startup_control ) {
	return ( $aster_startup_control->manager->get_setting( 'aster_startup_enable_preloader' )->value() );
}

// Header Options.
function aster_startup_is_topbar_enabled( $aster_startup_control ) {
	return ( $aster_startup_control->manager->get_Setting( 'aster_startup_enable_topbar' )->value() );
}

// Banner Slider Section.
function aster_startup_is_banner_slider_section_enabled( $aster_startup_control ) {
	return ( $aster_startup_control->manager->get_setting( 'aster_startup_enable_banner_section' )->value() );
}
function aster_startup_is_banner_slider_section_and_content_type_post_enabled( $aster_startup_control ) {
	$aster_startup_content_type = $aster_startup_control->manager->get_setting( 'aster_startup_banner_slider_content_type' )->value();
	return ( aster_startup_is_banner_slider_section_enabled( $aster_startup_control ) && ( 'post' === $aster_startup_content_type ) );
}
function aster_startup_is_banner_slider_section_and_content_type_page_enabled( $aster_startup_control ) {
	$aster_startup_content_type = $aster_startup_control->manager->get_setting( 'aster_startup_banner_slider_content_type' )->value();
	return ( aster_startup_is_banner_slider_section_enabled( $aster_startup_control ) && ( 'page' === $aster_startup_content_type ) );
}

// Service section.
function aster_startup_is_post_tab_section_and_content_type_page_enabled( $aster_startup_control ) {
	$aster_startup_content_type = $aster_startup_control->manager->get_setting( 'aster_startup_banner_slider_content_type' )->value();
	return ( aster_startup_is_banner_slider_section_enabled( $aster_startup_control ) && ( 'page' === $aster_startup_content_type ) );
}
function aster_startup_is_post_tab_section_and_content_type_post_enabled( $aster_startup_control ) {
	$aster_startup_content_type = $aster_startup_control->manager->get_setting( 'aster_startup_banner_slider_content_type' )->value();
	return ( aster_startup_is_banner_slider_section_enabled( $aster_startup_control ) && ( 'post' === $aster_startup_content_type ) );
}
function aster_startup_is_service_section_enabled( $aster_startup_control ) {
	return ( $aster_startup_control->manager->get_setting( 'aster_startup_enable_service_section' )->value() );
}
function aster_startup_is_service_section_and_content_type_post_enabled( $aster_startup_control ) {
	$aster_startup_content_type = $aster_startup_control->manager->get_setting( 'aster_startup_service_content_type' )->value();
	return ( aster_startup_is_service_section_enabled( $aster_startup_control ) && ( 'post' === $aster_startup_content_type ) );
}
function aster_startup_is_service_section_and_content_type_page_enabled( $aster_startup_control ) {
	$aster_startup_content_type = $aster_startup_control->manager->get_setting( 'aster_startup_service_content_type' )->value();
	return ( aster_startup_is_service_section_enabled( $aster_startup_control ) && ( 'page' === $aster_startup_content_type ) );
}